Get product by SKU
curl --request GET \
--url https://live.nocnocstore.com/api/v2/products/sku/{sku} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://live.nocnocstore.com/api/v2/products/sku/{sku}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://live.nocnocstore.com/api/v2/products/sku/{sku}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sku": "TEST1",
"created_at": "2023-06-21 18:35:14",
"updated_at": "2023-06-23 18:35:14",
"international_ids": {
"asin": "BTEST1",
"gtin": ["123123TEST1"]
},
"brand": "MyBrand",
"available_quantity": 100,
"price": 19.99,
"currency_code": "USD",
"status": "SUCCESS",
"package_dimensions": {
"size": {
"unit": "inches",
"width": 5.0,
"height": 5.0,
"length": 3.0
},
"weight": {
"value": 1.5,
"unit": "kg"
}
},
"product_dimensions": {
"size": {
"unit": "inches",
"width": 20.0,
"height": 10.0,
"length": 5.0
},
"weight": {
"value": 2.0,
"unit": "kg"
}
},
"images": [
{ "source_url": "https://example.com/image.jpg" }
],
"title": "Product Title",
"description_language": "en",
"description": "Product description",
"description_html": "<p>Product description in HTML</p>",
"attributes": [
{ "type": "COLOR", "value": "Red" },
{ "type": "SIZE", "value": "Large" }
]
}
{
"code": 401,
"message": "Unauthorized"
}
{
"code": 404,
"message": "Sku not found"
}
Products
Get product by SKU
Returns the complete information for a single product identified by its SKU.
GET
/
api
/
v2
/
products
/
sku
/
{sku}
Get product by SKU
Requests go to the live environment — all actions are real.
Authorization
string
required
Your seller API key. Provided by your nocnoc account manager.
Path parameters
string
required
The unique SKU of the product.
Returns
The complete product data for the given SKU, including price, stock, dimensions, images, and attributes.Example request
curl https://live.nocnocstore.com/api/v2/products/sku/MY-SKU-001 \
-H "X-Api-Key: YOUR_SELLER_KEY"
{
"sku": "TEST1",
"created_at": "2023-06-21 18:35:14",
"updated_at": "2023-06-23 18:35:14",
"international_ids": {
"asin": "BTEST1",
"gtin": ["123123TEST1"]
},
"brand": "MyBrand",
"available_quantity": 100,
"price": 19.99,
"currency_code": "USD",
"status": "SUCCESS",
"package_dimensions": {
"size": {
"unit": "inches",
"width": 5.0,
"height": 5.0,
"length": 3.0
},
"weight": {
"value": 1.5,
"unit": "kg"
}
},
"product_dimensions": {
"size": {
"unit": "inches",
"width": 20.0,
"height": 10.0,
"length": 5.0
},
"weight": {
"value": 2.0,
"unit": "kg"
}
},
"images": [
{ "source_url": "https://example.com/image.jpg" }
],
"title": "Product Title",
"description_language": "en",
"description": "Product description",
"description_html": "<p>Product description in HTML</p>",
"attributes": [
{ "type": "COLOR", "value": "Red" },
{ "type": "SIZE", "value": "Large" }
]
}
{
"code": 401,
"message": "Unauthorized"
}
{
"code": 404,
"message": "Sku not found"
}
⌘I